Tonyu.klass.define({
  fullName: 'user.Ball',
  shortName: 'Ball',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ball_main() {
        "use strict";
        var _this=this;
        
        
        while (true) {
          Tonyu.checkLoop();
          _this.move();
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ball_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        
        _thread.enter(function _trc_Ball_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.fiber$move(_thread);
              __pc=2;return;
            case 2:
              
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=1;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      move :function _trc_Ball_move() {
        "use strict";
        var _this=this;
        var sx;
        var sy;
        var w;
        
        sx = _this.x;
        sy = _this.y;
        
        _this.x=sx+_this.vx;
        _this.y=sy+_this.vy;
        w=_this.isWall();
        if (w) {
          _this.x=sx;
          _this.y=sy+_this.vy;
          if (! _this.isWall()) {
            _this.vx*=- 1;
            
          } else {
            _this.x=sx+_this.vx;
            _this.y=sy;
            if (! _this.isWall()) {
              _this.vy*=- 1;
              
            } else {
              _this.x=sx;
              _this.y=sy;
              _this.vx*=- 1;
              _this.vy*=- 1;
              
            }
            
          }
          
        }
        if (Tonyu.is(w,Tonyu.classes.user.Block)) {
          
          
        }
        return w;
      },
      fiber$move :function _trc_Ball_f_move(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var sx;
        var sy;
        var w;
        
        sx = _this.x;
        sy = _this.y;
        
        _this.x=sx+_this.vx;
        _this.y=sy+_this.vy;
        
        _thread.enter(function _trc_Ball_ent_move(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$isWall(_thread);
              __pc=1;return;
            case 1:
              w=_thread.retVal;
              
              if (w) {
                _this.x=sx;
                _this.y=sy+_this.vy;
                if (! _this.isWall()) {
                  _this.vx*=- 1;
                  
                } else {
                  _this.x=sx+_this.vx;
                  _this.y=sy;
                  if (! _this.isWall()) {
                    _this.vy*=- 1;
                    
                  } else {
                    _this.x=sx;
                    _this.y=sy;
                    _this.vx*=- 1;
                    _this.vy*=- 1;
                    
                  }
                  
                }
                
              }
              if (Tonyu.is(w,Tonyu.classes.user.Block)) {
                
                
              }
              _thread.exit(w);return;
              _thread.exit(_this);return;
            }
          }
        });
      },
      isWall :function _trc_Ball_isWall() {
        "use strict";
        var _this=this;
        
        return _this.screenOut()||_this.crashTo(Tonyu.classes.user.Block);
      },
      fiber$isWall :function _trc_Ball_f_isWall(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.screenOut()||_this.crashTo(Tonyu.classes.user.Block);return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"move":{"nowait":false},"isWall":{"nowait":false}},"fields":{"vx":{},"vy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.user.Block({x: 100,y: 100});
        new Tonyu.classes.user.Ball({x: 10,y: 10,vx: 3,vy: 3});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.user.Block({x: 100,y: 100});
        new Tonyu.classes.user.Ball({x: 10,y: 10,vx: 3,vy: 3});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Block',
  shortName: 'Block',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Block_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Block_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map